# Summary

- [Introduction](./introduction/introduction.md)
  - [What is Anchor](./introduction/what_is_anchor.md)
  - [Anchor Documentation](./introduction/anchor_documentation.md)
- [Prerequisites](./prerequisites/prerequisites.md)
  - [Useful Resources](./prerequisites/useful_resources.md)
  - [Intro to Solana](./prerequisites/intro_to_solana.md)
- [Getting Started](./getting_started/getting_started.md)
  - [Installation](./getting_started/installation.md)
  - [Hello, Anchor!](./getting_started/hello_anchor.md)
- [Anchor Programs In-Depth](./anchor_in_depth/anchor_programs_in-depth.md)
  - [Essentials](./anchor_in_depth/essentials.md)
    - [High-level Overview](./anchor_in_depth/high-level_overview.md)
    - [The Accounts Struct](./anchor_in_depth/the_accounts_struct.md)
    - [The Program Module](./anchor_in_depth/the_program_module.md)
    - [Errors](./anchor_in_depth/errors.md)
    - [Milestone Project - Tic-Tac-Toe](./anchor_in_depth/milestone_project_tic-tac-toe.md)
  - [Intermediate](./anchor_in_depth/intermediate.md)
    - [Cross-Program Invocations](./anchor_in_depth/CPIs.md)
    - [PDAs](./anchor_in_depth/PDAs.md)
    - [Events](./anchor_in_depth/events.md)
    - [Constants]()
    - [Zero-Copy]()
    - [Access Control]()
    - [Building & Testing]()
    - [Milestone Project - The Nightclub]()
- [Anchor BTS]()
  - [The Discriminator](./anchor_bts/discriminator.md)
  - [Dispatch]()

---

- [Anchor References](./anchor_references/anchor_references.md)
  - [Space Reference](./anchor_references/space.md)
  - [Javascript Anchor Types Reference](./anchor_references/javascript_anchor_types_reference.md)
  - [CLI Reference](./anchor_references/cli.md)
  - [AVM Reference](./anchor_references/avm.md)
  - [Anchor.toml Reference](./anchor_references/anchor-toml_reference.md)
  - [Code References](./anchor_references/reference_links.md)
